31 Oct 2012, 23:38
Generic-user-small

Brad Cantrell (3 posts)

I finished ch6, my app is working fine except that the CSS file is not being used. Im using Rails v3.2.1 and so I downloaded the updated source code from the book website which is v3.2 and that works perfectly. So I would like to know what configurations I have to make so it will match the updated source code. I asked on #rubyonrails IRC channel and they say the current version of Rails uses the asset pipeline, which means that assets are put in the /app/asset folder instead of the public folder. Here is my non-working project which is configured the way the book says to set it up: https://github.com/arquebus257WeaMag/depot I would like to know how to configure this so it matches the updated version of the Rails code.

Also I found posts on Stackoverflow about people with a similar problem: http://stackoverflow.com/questions/9567834/rails-3-2-1-stylesheet-not-loading http://stackoverflow.com/questions/10988657/rails-3-2-5-stylesheet-not-being-applied-newbie

01 Nov 2012, 23:06
Generic-user-small

Brad Cantrell (3 posts)

Ive updated my original post now that I understand what the problem is. This post is an alert to anyone who has already read my original post so they are aware I have found the problem and need to know how to do the configuration properly.

A simple solution would be for the authors to indicate which version of the Rails installer they used so that the code generated in Rails will match that in the book. That way the authors dont have to waste time writing updates for the readers.

  You must be logged in to comment